Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 172418 Details for
Bug 242680
mctrans - Wrong init script
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
[patch]
proposed patch to fix issue
mcstrans-0.2.3-init.patch (text/plain), 2.25 KB, created by
Steve Grubb
on 2007-08-24 14:19:19 UTC
(
hide
)
Description:
proposed patch to fix issue
Filename:
MIME Type:
Creator:
Steve Grubb
Created:
2007-08-24 14:19:19 UTC
Size:
2.25 KB
patch
obsolete
>diff -ur mcstrans-0.2.3.orig/src/mcstrans.init mcstrans-0.2.3/src/mcstrans.init >--- mcstrans-0.2.3.orig/src/mcstrans.init 2007-08-24 09:17:43.000000000 -0400 >+++ mcstrans-0.2.3/src/mcstrans.init 2007-08-24 10:14:26.000000000 -0400 >@@ -19,65 +19,71 @@ > # 7 - program is not running > > PATH=/sbin:/bin:/usr/bin:/usr/sbin >+prog="mcstransd" > > # Source function library. > . /etc/init.d/functions > >+# Allow anyone to run status >+if [ "$1" = "status" ] ; then >+ status $prog >+ RETVAL=$? >+ exit $RETVAL >+fi >+ > # Check that we are root ... so non-root users stop here >-test `id -u` = 0 || exit 4 >+test $EUID = 0 || exit 4 > >+# If selinux is not enabled, return success > test -x /usr/sbin/selinuxenabled && /usr/sbin/selinuxenabled || exit 0 > >-test -x /sbin/mcstransd || exit 5 >- > RETVAL=0 > >-prog="mcstransd" >- > start(){ >- echo -n $"Starting $prog: " >- if status $prog > /dev/null; then >- echo -n $"$prog: already running" >- failure >+ test -x /sbin/mcstransd || exit 5 >+ echo -n $"Starting $prog: " >+ if status $prog > /dev/null; then >+ echo -n $"$prog: already running" >+ failure >+ echo >+ return 1 >+ fi >+ >+ unset HOME MAIL USER USERNAME >+ daemon $prog "$EXTRAOPTIONS" >+ RETVAL=$? > echo >- return 1 >- fi >- >- unset HOME MAIL USER USERNAME >- daemon $prog "$EXTRAOPTIONS" >- RETVAL=$? >- echo >- if test $RETVAL = 0 ; then >- touch /var/lock/subsys/mcstrans >- fi >- return $RETVAL >+ if test $RETVAL = 0 ; then >+ touch /var/lock/subsys/mcstrans >+ fi >+ return $RETVAL > } > > stop(){ >- echo -n $"Stopping $prog: " >- killproc $prog >- RETVAL=$? >- echo >- rm -f /var/lock/subsys/mcstrans >- return $RETVAL >+ echo -n $"Stopping $prog: " >+ killproc $prog >+ RETVAL=$? >+ echo >+ rm -f /var/lock/subsys/mcstrans >+ return $RETVAL > } > > reload(){ >- echo -n $"Reloading configuration: " >- killproc $prog -HUP >- RETVAL=$? >- echo >- return $RETVAL >+ echo -n $"Reloading configuration: " >+ killproc $prog -HUP >+ RETVAL=$? >+ echo >+ return $RETVAL > } > > restart(){ >- stop >- start >+ stop >+ start > } > > condrestart(){ >- [ -e /var/lock/subsys/mcstrans ] && restart >- return 0 >+ [ -e /var/lock/subsys/mcstrans ] && restart >+ return 0 > } > > >@@ -89,9 +95,6 @@ > stop) > stop > ;; >- status) >- status $prog >- ;; > restart) > restart > ;;
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Diff
View Attachment As Raw
Actions:
View
|
Diff
Attachments on
bug 242680
: 172418